## f2j 0.8.1

=== goto_trans/Makefile ===


#  *************
#  *** JAVAB ***
#  ****************************************************
#  *** Copyright (c) 1997                           ***
#  *** Aart J.C. Bik             Indiana University *** 
#  *** All Rights Reserved                          ***
#  ****************************************************
#  *** Please refer to the LICENSE file distributed ***
#  *** with this software for further details on    ***
#  *** the licensing terms and conditions.          ***
#  ***                                              ***
#  *** Please, report all bugs, comments, etc.      ***
#  *** to: ajcbik@extreme.indiana.edu               ***
#  ****************************************************
#  *** Makefile : javab construction
#  ***
#  ***
#  *** Your courtesy in mentioning the use of this bytecode tool
#  *** in any scientific work that presents results obtained
#  *** by using (extensions or modifications of) the tool
#  *** is highly appreciated.


include make.def

TARGET = javab

OBJS   = byte.o class.o dump.o main.o symtab.o

# Executable
# **********

$(TARGET): $(OBJS)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJS) 

install: $(TARGET)
	install -d -m 755 $(F2J_BINDIR)
	install -m 755 $(TARGET) $(F2J_BINDIR)

# System Program
# **************

main.o : main.c class.h
	$(CC) -c $(CFLAGS) main.c

# Modules
# *******

symtab.o : symtab.c symtab.h
	$(CC) -c $(CFLAGS) symtab.c

byte.o  : byte.c class.h
	$(CC) -c $(CFLAGS) byte.c

class.o : class.c class.h
	$(CC) -c $(CFLAGS) class.c

dump.o  : dump.c class.h
	$(CC) -c $(CFLAGS) dump.c

# Cleanup
# *******

clean:
	rm -f $(OBJS)

realclean:  clean
	rm -f $(TARGET)

=== util/Makefile ===
include make.def

OUTDIR=obj
JAR=jar

UTIL_JAR=f2jutil.jar

VER_TARGET=1.2

$(UTIL_JAR):
	mkdir -p $(OUTDIR)
	$(JAVAC) -source $(VER_TARGET) -target $(VER_TARGET) -d $(OUTDIR) org/j_paine/formatter/*.java
	$(JAVAC) -source $(VER_TARGET) -target $(VER_TARGET) -d $(OUTDIR) org/netlib/util/*.java
	cd $(OUTDIR); $(JAR) cvf ../$(UTIL_JAR) .

install: $(UTIL_JAR)
	install -d -m 755 $(F2J_LIBDIR)
	install -m 644 $(UTIL_JAR) $(F2J_LIBDIR)

clean:
	/bin/rm -rf $(OUTDIR) $(UTIL_JAR)

=== debian/changelog ===
f2j (0.8.1-2) unstable; urgency=low

  * debian/copyright: Add missing statement on non commercial usage

 -- Olivier Sallou <osallou@debian.org>  Thu, 24 May 2012 14:25:02 +0200

f2j (0.8.1-1) unstable; urgency=low

  [ Olivier Sallou ] 
  * Initial release (Closes: #657184)
  * Move to non-free, license modification to DFSG compliant license
    in progress

  [ Thorsten Alteholz ]
  * debian/rules: target get-orig-source added

 -- Olivier Sallou <osallou@debian.org>  Tue, 24 Jan 2012 17:34:50 +0100

=== debian/control ===
Source: f2j
Section: non-free/java
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), default-jdk, bison, javahelper
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/f2j/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/f2j/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/f2j/
XS-Autobuild: yes

Package: f2j
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fortran to Java compiler
 The package contains a Fortran to Java converter, also used
 to create the libf2j-java package.
 It converts Fortran file to Java source and class files.


Package: libf2j-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java library port of Fortran numerical libraries
 The package provides the Java library (APIS)
 to numerical libraries originally
 written in Fortran (particularly BLAS and LAPACK).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@

override_dh_auto_install:
	jh_installlibs --package=libf2j-java util/f2jutil.jar


override_dh_auto_build:
	dh_auto_build

override_dh_clean:
	dh_clean

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/f2j/f2j-(.+)\.tgz

## f2j 0.8.1%2Bdfsg

=== debian/changelog ===
f2j (0.8.1+dfsg-4) unstable; urgency=medium

  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Drop useless get-orig-source target
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Sat, 12 Jan 2019 07:44:30 +0100

f2j (0.8.1+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Chris West (Faux) ]
  * (Closes:#873979): fix build on java 9 by updating
    replace_printfformat.patch and choosing VER_TARGET=1.8.

  [ Markus Koschany ]
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.1.1.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Thu, 26 Oct 2017 01:02:45 +0200

f2j (0.8.1+dfsg-2) unstable; urgency=medium

  * cme fix dpkg-control
  * upload to unstable (main)
  * better hardening

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jun 2016 13:41:01 +0200

f2j (0.8.1+dfsg-1) experimental; urgency=medium

  * Remove non-free parts from the code and upload to main
  * Moved packaging from Debian Med SVN to Debian Java Git
  * debhelper 9
  * cme fix dpkg-control
  * DEP5 fixes
  * Fix some spelling issues
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jan 2016 15:47:50 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@

override_dh_auto_install:
	jh_installlibs --package=libf2j-java util/f2jutil.jar


override_dh_auto_configure:
	cp -a libbytecode/bytecode.h libbytecode/bytecode.h.save
	dh_auto_configure
	mv libbytecode/bytecode.h.save libbytecode/bytecode.h

## f2j 0.8.1+dfsg

=== doc/Makefile ===
LATEX=latex
BIBTEX=bibtex

SOURCES = f2j_ug.tex title.tex

f2j_ug.ps: f2j_ug.dvi

f2j_ug.dvi: $(SOURCES)
	$(LATEX) f2j_ug.tex 
#	$(BIBTEX) f2j_ug
#	$(LATEX) f2j_ug.tex
#	$(LATEX) f2j_ug.tex

f2j_ug.ps: f2j_ug.dvi
	dvips f2j_ug.dvi -o f2j_ug.ps

f2j_ug.pdf: f2j_ug.ps
	ps2pdf f2j_ug.ps

almost_clean:
	rm -f f2j_ug.dvi f2j_ug.ps *.aux *.log *.out
	
clean:
	rm -f f2j_ug.dvi f2j_ug.ps f2j_ug.pdf *.aux *.log *.out

=== src/Makefile ===
# $Author: keithseymour $
# $Date: 2007/02/01 01:06:37 $
# $Source: /cvsroot/f2j/f2j/src/Makefile,v $
# Revision:$

.PHONY: clean

include make.def

OBJS=y.tab.o f2jlex.o f2jmain.o  symtab.o  \
     codegen.o vcg_emitter.o dlist.o typecheck.o \
     optimize.o globals.o f2jmem.o
F2J_LIBS= -L$(BYTE_DIR) -lbytecode $(LIBS)

.c.o:
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

#  The main executable.
f2java: f2j.h f2jparse.y $(OBJS) $(BYTE_DIR)/libbytecode.a
	$(CC) $(CFLAGS) $(INCLUDES) -o $@ $(OBJS) $(F2J_LIBS)

#  The purify version...
puref2j:	f2j.h f2jparse.y $(OBJS) $(JAVAB)
	$(PURIFY) $(PFLAGS) $(CC) $(CFLAGS) $(INCLUDES) -o $@ $(OBJS) $(F2J_LIBS)

install: f2java
	install -d -m 755 $(F2J_BINDIR)
	install -m 755 f2java $(F2J_BINDIR)

lexdebug:  f2jlex.c
	$(CC) $(CFLAGS) $(INCLUDES) -o lexdebug -DSTANDALONE  f2jlex.c 

lint:
	lint codegen.c dlist.c f2jlex.c\
 f2jmain.c f2jmem.c y.tab.c globals.c optimize.c\
 symtab.c typecheck.c vcg_emitter.c

y.tab.c y.tab.h:  f2jparse.y 
	$(YACC) $(YFLAGS) f2jparse.y

y.tab.o: y.tab.c f2j.h symtab.h dlist.h \
 opcodes.h  f2jmem.h

f2jlex.o: f2jlex.c initialize.h f2j.h symtab.h dlist.h \
 opcodes.h y.tab.h f2jmem.h 

f2jmain.o: f2jmain.c f2j.h symtab.h dlist.h opcodes.h \
 y.tab.h  f2jmem.h 

symtab.o: symtab.c f2j.h symtab.h dlist.h opcodes.h \
 f2jmem.h 

codegen.o: codegen.c codegen.h f2j.h symtab.h dlist.h \
 opcodes.h y.tab.h  f2jmem.h

vcg_emitter.o: vcg_emitter.c f2j.h symtab.h dlist.h \
 opcodes.h y.tab.h

dlist.o: dlist.c dlist.h f2j.h symtab.h opcodes.h \
 f2jmem.h 

typecheck.o: typecheck.c f2j.h symtab.h dlist.h \
 opcodes.h y.tab.h f2jmem.h 

optimize.o: optimize.c f2j.h symtab.h dlist.h \
 opcodes.h codegen.h y.tab.h  f2jmem.h

globals.o: globals.c f2j.h symtab.h dlist.h opcodes.h \
 codegen.h y.tab.h

f2jmem.o: f2jmem.c f2jmem.h f2j.h symtab.h dlist.h \
 opcodes.h

clean:
	rm -f *.o *.class f2jparse.c y.tab.c y.tab.h \
	tmp f2j f2java core a.out *.output *~  *.vcg
	cd test; $(MAKE) clean

realclean: clean
	rm -f ../bin/f2java ../bin/puref2j

=== debian/changelog ===
f2j (0.8.1+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Add patch for FTBFS w/GCC-15 (Closes: #1096604)
  * Update debian/watch to version 5
  * Remove redundant Rules-Requires-Root from debian/control
  * Bump Standards-Version to 4.7.2
  * Freshen patches for DEP-3 format

  [ Debian Janitor ]
  * Apply multi-arch hints. + libf2j-java: Add Multi-Arch: foreign.

 -- tony mancill <tmancill@debian.org>  Sun, 28 Sep 2025 08:04:04 -0700

f2j (0.8.1+dfsg-5) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Fix build issue with gcc-10
    Closes: #957190

 -- Andreas Tille <tille@debian.org>  Wed, 12 Aug 2020 12:02:31 +0200

=== debian/control ===
Source: f2j
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               bison,
               javahelper
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/java-team/f2j
Vcs-Git: https://salsa.debian.org/java-team/f2j.git
Homepage: http://sourceforge.net/projects/f2j/

Package: f2j
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Fortran to Java compiler
 The package contains a Fortran to Java converter, also used
 to create the libf2j-java package.
 It converts Fortran file to Java source and class files.

Package: libf2j-java
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: Java library port of Fortran numerical libraries
 The package provides the Java library (APIS)
 to numerical libraries originally
 written in Fortran (particularly BLAS and LAPACK).

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,3 @@
 	cp -a libbytecode/bytecode.h libbytecode/bytecode.h.save
 	dh_auto_configure
 	mv libbytecode/bytecode.h.save libbytecode/bytecode.h
-

=== debian/watch ===
Version: 5

Source: http://sf.net/f2j/
Matching-Pattern: f2j-(.+)\.tgz
Dversionmangle: s/\+dfsg//g
Repacksuffix: +dfsg
